Subject: CGL-Documentation - Add a notice about byte order mark 
Description

In the PHP and JS CGL there is mentioned that all files must be UTF-8 encoded:

Files must be encoded in UTF-8

Afaik UTF-8 can ship with byte order mark or without.
In PSR-1 there is a notice about the BOM in UTF-8 files (
https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-1-basic-coding-standard.md).

In some cases the BOM creates some wired problems in PHP.

I think we should add a small notice about the BOM :)

Associated revisions
Revision 96f47786 - 2012-10-20 21:08 - Andy Grunwald

[TASK] CGL-Documentation - Add a notice about byte order mark

Change-Id: Ie41bb02dbfa70e23b60255bb8bdfd0a645ae59d7
Fixes: #42164
Releases: 1.1, 1.2, 2.0

Revision b2414705 - 2012-12-10 22:05 - Andy Grunwald

[TASK] CGL-Documentation - Add a notice about byte order mark

Change-Id: Ie41bb02dbfa70e23b60255bb8bdfd0a645ae59d7
Fixes: #42164
Releases: 1.1, 1.2

History
#1 - 2012-10-20 21:08 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master has been pushed to the review server.
https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-1-basic-coding-standard.md


It is available at http://review.typo3.org/15804

#2 - 2012-10-21 11:35 - Andy Grunwald
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:96f47786555fb39f43f30f08c99a18c178c4664c.

#3 - 2012-12-10 22:05 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at https://review.typo3.org/17079

#4 - 2012-12-12 22:11 - Andy Grunwald
- Status changed from Under Review to Resolved

Applied in changeset commit:b241470598b68ec38168861ae761a6124bb2fe05.
